Problem z zapisem do niższej wersji LabView

Jeśli masz coś do powiedzenia w sprawie LabVIEW napisz. Tutaj są tematy, których nie można uściślić do innych działów.
Mort
Posty: 6
Rejestracja: 14 gru 2012 21:58
Wersja środowiska: LabVIEW 2012

Problem z zapisem do niższej wersji LabView

Post autor: Mort » 09 sty 2013 21:35

Witam.
Korzystam z LV 2012.
Zrobiłem pewien projekt i zapisałem do niższej wersji LV 8.6 aby pokazać to komuś kto korzysta z takiej wersji.
Jaka jest szansa, że nie otworzy mojego projektu - (bo tak się stało) i co może być tego przyczyną ?
Czy jeśli zapiszę projekt do aplikacji .exe to każdy powinien uruchomić ten program niezależnie od wersji LV ?
Ostatnio zmieniony 09 sty 2013 21:35 przez Mort, łącznie zmieniany 1 raz.

Awatar użytkownika
Mikrobi
Posty: 1210
Rejestracja: 08 paź 2003 00:00
Wersja środowiska: LabVIEW 2014
Lokalizacja: United Kingdom

Problem z zapisem do niższej wersji LabView

Post autor: Mikrobi » 09 sty 2013 23:36

Jeśli exe to został wygenerowany na bazie określonego środowiska. Każde środowisko posiada swoje biblioteki RunTime, które zawierane są w instalatorze.
Run Time jest darmowy, można go znaleźć na stronach NI.
Zatem: najpierw plik typu exe, potem dla niego instalator a potem przesłanie, lub exe i wskazanie na wersję biblioteki RunTime użytkownikowi końcowemu.
Co wersja środowiska zachodzą pewne zmiany w silniku, nie wszystko można konwertować do wcześniejszych wersji.

p.s.

...stoooopaa....
pozdrawiam
Mikrobi

LabVIEW Champion, CLD, CPI

Awatar użytkownika
patka
Posty: 20
Rejestracja: 08 maja 2012 16:33
Wersja środowiska: LabVIEW 2012

Problem z zapisem do niższej wersji LabView

Post autor: patka » 12 sty 2013 14:56

Ja ostatnio też próbowałam zapisać projekt z 2012 do 8.6. I jedyny problem, który zgłosiło mi LV to, że w 8.6 nie ma bloczka odwrotności "Reciprocal". Ale potem osoba otwierająca na 8.6 miała kolejne problemy, tym razem z powodu braku bloczka "Application Directory". Więc nie jest to zbyt udane narzędzie.

Także, jeśli chcesz uruchomić to bez .exe, musisz czytać po obu stronach czego nie można użyć i jakoś się bez tego obyć :)

Mort
Posty: 6
Rejestracja: 14 gru 2012 21:58
Wersja środowiska: LabVIEW 2012

Problem z zapisem do niższej wersji LabView

Post autor: Mort » 15 sty 2013 21:26

Trochę to uciążliwe, ale taki urok nowszych wersji programów. Czy ktoś byłby w stanie przerobić program z LV 2012 do działającej wersji w 8.6 charytatywnie lub za tzw. "flaszkę"? Można liczyć na taki rodzaj pomocy na forum?

PiDi
Posty: 627
Rejestracja: 31 gru 2010 01:36
Wersja środowiska: LabVIEW 2017
Lokalizacja: Katowice
Has thanked: 3 times
Been thanked: 3 times

Re: Problem z zapisem do niższej wersji LabView

Post autor: PiDi » 15 sty 2013 23:24

NI ma do tego dedykowane forum: http://forums.ni.com/t5/Version-Convers ... Conversion
Nie wiem, jak będzie tam z konwersją całego projektu do tak "odległej" wersji, ale i tak tam siedzi więcej magików kabli posiadających różne wersje LV niż tutaj :D
ObrazekObrazekObrazekObrazek

Mort
Posty: 6
Rejestracja: 14 gru 2012 21:58
Wersja środowiska: LabVIEW 2012

Problem z zapisem do niższej wersji LabView

Post autor: Mort » 16 sty 2013 10:03

Fajnie :) Dzięki. Ale czy oni tam nie zrobią mi poprostu "Save for previous version.."? Chodzi mi o przerobienie do niższej wersji LabView ale działający program. Jak ja zapisalem tak jak mowie to pokazało komuś kto chciał otworzyć w 8.6 brakujące bloczki..

Awatar użytkownika
Arronax8
Posty: 69
Rejestracja: 06 kwie 2012 21:25
Wersja środowiska: LabVIEW 2012

Re: Problem z zapisem do niższej wersji LabView

Post autor: Arronax8 » 16 sty 2013 11:30

Możesz spróbować i zobaczyć :p
Obszerny masz ten projekt, dużo tam będzie przerabiania?
W sumie to mógłbym na niego zerknąć w wolnym czasie ;)

Mort
Posty: 6
Rejestracja: 14 gru 2012 21:58
Wersja środowiska: LabVIEW 2012

Re: Problem z zapisem do niższej wersji LabView

Post autor: Mort » 16 sty 2013 11:59

Sa to dosc podstawowe bloczki ale jednak wyskakują błędy po zapisie do niższej wersji.
Nie jest jakoś strasznie rozbudowany może.

Awatar użytkownika
Arronax8
Posty: 69
Rejestracja: 06 kwie 2012 21:25
Wersja środowiska: LabVIEW 2012

Re: Problem z zapisem do niższej wersji LabView

Post autor: Arronax8 » 16 sty 2013 12:27

Sprawdź czy Ci działa, bo mnie działa :p
Załączniki
PROJEKT 11 GIN.vi
(383.93 KiB) Pobrany 132 razy

ODPOWIEDZ